include "application"

play {
  http.secret.key = "${APPLICATION_SECRET}"
  server {
    pidfile.path = "/dev/null"
  }
}

# exit jvm on actor system termination
# this will allow Kubernetes to restart the pod
lagom.cluster.exit-jvm-when-system-terminated = on

akka {
    discovery.method = akka-dns

    cluster {
        shutdown-after-unsuccessful-join-seed-nodes = 60s
    }

    management {
        cluster.bootstrap {
            contact-point-discovery {
                discovery-method = kubernetes-api
                service-name = "track-service-simulator"
                required-contact-point-nr = ${REQUIRED_CONTACT_POINT_NR}
            }
        }
    }
}
